=== debian/changelog ===
translationplugin (0.1) unstable; urgency=low

  * Initial Release.

 -- Afaque Hussian <afaquejam@gmail.com>  Tue, 28 Sep 2010 16:08:53 +0530
