=== debian/control ===
Source: translationplugin
Section: user/office
Priority: extra
Maintainer: Afaque Hussain <afaquejam@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, freoffice-dev (>= 0.2-7), libxi-dev, kofficemeego-dev (>= 2.2.0-9), libcurl3-dev
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: translationplugin
Architecture: any
Depends:${shlibs:Depends}, ${misc:Depends}, freoffice (>=0.2-7), kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
Description: Translation Plugin for Fremantle Office.
 Supports Transalation of 58 languages.Soon,Transaltion for 108 Languages will be available.
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 translationplugin/src/data/48x48/translationplugin.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oJHgo3M+Dnk8AAAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAD+UlEQVRYw9WYz4scRRTHP6+7dmc22U2yGDFL
 XCHBrCgS9JAgiIQQ8CqIV0G8xZv6F/gH+Bd4DIugNz1I8CKYix5y8KLXENCFgMguQbe7p56H/jHV
 3VXVPTNZiXWY6fr1XtV73/etVyVHP36vLFqk+vfM1MAQYblitMg5iaID9dELZMwCfWbQgbpPRsCs
 salG85Ox4KoWby1QfAMEREG7nU5dBFR1GGHVnJaoWr47TKr6/Kd0sTa7KJW5nlDPXsX50t7qQao2
 rWpSye2O1VaLOO7WSotitMgaheKBi0Rc0bKdtjEVCnaft7p6XbmGPPf6X0dgRZfAVazNJ3seJBKQ
 Iv2tqdOvMoIAB+S5/115o3lwZi37934mTZPlolSV3We2ufHy3gnwIHCcZXx852sn4qQxiNW+4+p+
 dfpuvnKFG1cuLbhAhwdjfCx50bR9dPNNrl3aRVXZnEz49KtvePjnX83CPnvnbZ7fPkeSCI8OH/P5
 3R84ODximqbUtDaWG43Nc6QmvIqYLFJhQhGp6MCx9AdvvM7lZ7cbQjk7nfDQEXtr7zIvXThf9it8
 +dN9Dg6PwFrIc2yDO+3AtgZiSYqCYiiycSdatcDzp08xwVIHl3TcCJBnx63+i2c3uV+NU0ffUA6i
 viAJHvJFwc6ZTV67eIGNBLRwTqAuBmdFsyEFru3u8Osfj9jZOoV7MAy5VwAjnbNYAruaAr988qFj
 ptwN0fakvGj1375+ldvXr5ZDs6wJoDEZnbGxKB6ZsbRcrGBnBV65Lo/KiAyoG8XLpyIdCxY5PKEs
 ydRYGsrLIuTfR+6swJUbSy99xtSGHwSDtSWt1KTbUU2TkZR90mQlgq2FdtanFrBaZSviwZY7X7GV
 /Hp8qascZ9Lv7qzsBjlq19N735JOF7vihI5uk2ykC+TtAccns1ZrMk1INmQhmeL9Vkwy0V4yGgpe
 Dey9yxqypiSTeFIWS3pcbJtkXYMZs4s/vGjSeS7vWnBNSdZj9C9eXb5vk67LAkgJtIt2FijE5Y6/
 LfcsqJH0X0O7DViwj775vUQ6Ev1IlS4Gx8SZp97F4DqE5S6mzyQdV/QDRBvSdO96qnD3AB48ht//
 ac//4gHceg72tuDVc31pMsgM87CU4v2hLfnjN7ewsQ+TBE4bSBytf8/K/ndfgP23+pSvQZV9XaYd
 beNdMgF+ey8O86210t0SZYm4LmM1EqxhAgTgxTPzm50ExthlX40qvSY75qkuJs/i2QqRW3/o4SqW
 6g3N712annoL/i8WOPRcG3q58MWRjJAjIx6U6naTr2JBWeFt90m4OHYGa8ASXkt5BoqOO/yaBcqC
 D1QE7yceODgPBqEX15DbV3Pxf1D+BSkk89OaCydDAAAAAElFTkSuQmCC
