=== debian/changelog ===
translationplugin (0.2) stable; urgency=low

  * Fixed Crashing Issues in latest FreOffice.

 -- Afaque Hussain <afaquejam@gmail.com>  Fri, 28 Jan 2011 21:38:12 +0530
