=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: translationplugin
 Architecture: any
-Depends:${shlibs:Depends}, ${misc:Depends}, freoffice (>=0.2-7), kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
+Depends: ${shlibs:Depends}, ${misc:Depends}, freoffice (>= 0.2-7)
 Description: Translation Plugin for Fremantle Office.
  Supports Transalation of 58 languages.Soon,Transaltion for 108 Languages will be available.
 # XB-Maemo-Icon-26 field contains the application icon file encoded in
