## translationplugin 0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libTranslatePlugin2.so
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 29 19:09:29 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 10 12:40:10 2011
 # Project:  translationplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake -o Makefile translationplugin.pro
@@ -16,7 +16,7 @@
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/local/include/office -I/targets/FREMANTLE_ARMEL/usr/include/office -Ibuild
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
-LIBS          = $(SUBLIBS)  -L/usr/lib -lcurl -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -44,12 +44,10 @@
 ####### Files
 
 SOURCES       = TranslatePlugin.cpp \
-		TextTranslate.cpp \
-		CurlRequest.cpp build/moc_TranslatePlugin.cpp \
+		TextTranslate.cpp build/moc_TranslatePlugin.cpp \
 		build/moc_TextTranslate.cpp
 OBJECTS       = build/TranslatePlugin.o \
 		build/TextTranslate.o \
-		build/CurlRequest.o \
 		build/moc_TranslatePlugin.o \
 		build/moc_TextTranslate.o
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
@@ -158,7 +156,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) build/TranslatePlugin21.0.0 || $(MKDIR) build/TranslatePlugin21.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.h TextTranslate.h CurlRequest.h build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.cpp TextTranslate.cpp CurlRequest.cpp build/TranslatePlugin21.0.0/ && (cd `dirname build/TranslatePlugin21.0.0` && $(TAR) TranslatePlugin21.0.0.tar TranslatePlugin21.0.0 && $(COMPRESS) TranslatePlugin21.0.0.tar) && $(MOVE) `dirname build/TranslatePlugin21.0.0`/TranslatePlugin21.0.0.tar.gz . && $(DEL_FILE) -r build/TranslatePlugin21.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.h TextTranslate.h build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.cpp TextTranslate.cpp build/TranslatePlugin21.0.0/ && (cd `dirname build/TranslatePlugin21.0.0` && $(TAR) TranslatePlugin21.0.0.tar TranslatePlugin21.0.0 && $(COMPRESS) TranslatePlugin21.0.0.tar) && $(MOVE) `dirname build/TranslatePlugin21.0.0`/TranslatePlugin21.0.0.tar.gz . && $(DEL_FILE) -r build/TranslatePlugin21.0.0
 
 
 clean:compiler_clean 
@@ -195,12 +193,10 @@
 	-$(DEL_FILE) build/moc_TranslatePlugin.cpp build/moc_TextTranslate.cpp
 build/moc_TranslatePlugin.cpp: OfficeInterface.h \
 		TextTranslate.h \
-		CurlRequest.h \
 		TranslatePlugin.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) TranslatePlugin.h -o build/moc_TranslatePlugin.cpp
 
-build/moc_TextTranslate.cpp: CurlRequest.h \
-		TextTranslate.h
+build/moc_TextTranslate.cpp: TextTranslate.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) TextTranslate.h -o build/moc_TextTranslate.cpp
 
 compiler_rcc_make_all:
@@ -224,16 +220,11 @@
 
 build/TranslatePlugin.o: TranslatePlugin.cpp TranslatePlugin.h \
 		OfficeInterface.h \
-		TextTranslate.h \
-		CurlRequest.h
+		TextTranslate.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/TranslatePlugin.o TranslatePlugin.cpp
 
-build/TextTranslate.o: TextTranslate.cpp TextTranslate.h \
-		CurlRequest.h
+build/TextTranslate.o: TextTranslate.cpp TextTranslate.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/TextTranslate.o TextTranslate.cpp
-
-build/CurlRequest.o: CurlRequest.cpp CurlRequest.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/CurlRequest.o CurlRequest.cpp
 
 build/moc_TranslatePlugin.o: build/moc_TranslatePlugin.cpp 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_TranslatePlugin.o build/moc_TranslatePlugin.cpp
