=== debian/changelog ===
translationplugin (0.3) stable; urgency=low

  * Fixed Korean Language Bug.
  * Curl dependancy removed.
  * Code Simplified.

 -- Afaque Hussain <afaquejam@gmail.com>  Tue, 01 Feb 2011 18:43:10 +0530
