=== debian/rules ===
--- 
+++ 
@@ -9,31 +9,37 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-APPNAME := translationplugin
-builddir:
-	mkdir -p builddir
 
-builddir/Makefile: builddir
-	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+
+PACKAGE = translationplugin
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	qmake
+	touch configure-stamp
+
 
 build: build-stamp
 
-build-stamp: builddir/Makefile
+build-stamp: configure-stamp  
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd builddir && $(MAKE)
-	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1
+	$(MAKE)
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
 
 	touch $@
 
-clean:
+clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	rm -rf builddir
+	-$(MAKE) clean
 
 	dh_clean 
 
@@ -43,8 +49,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/arora.
-	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	# Add here commands to install the package into debian/$(PACKAGE).
+	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/$(PACKAGE) install
 
 
 # Build architecture-independent files here.
@@ -55,13 +61,27 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
